/**************************************************************************
 *
 *-------------------------------------------------------------------------
 * Project Notes :
 *
 *  (c) 1997 JCMLabs, Genome Sequencing Center and The Sanger Centre,s
 *           All rights reserved.
 *
 *-------------------------------------------------------------------------
 *  Module Notes :
 *
 *  Author : James C. Mullikin
 *
 **************************************************************************/


#include <stdio.h>
#include <string.h>

void main (int argc, char **argv)
{
	FILE *fil,*ofil;
	int nlanes, nzones, length;
	float width;
	int i, j, k=0;
	char line[512];
	float lanes[300][300];
	float zh;

	if (argc != 3)
	{
		fprintf (stderr, "Usage : %s <input lane filename> <output lane filename>\n", argv[0]) ;
		exit (2) ;
	}

	if ((fil = fopen(argv[1],"r")) == NULL)
		exit (1) ;
	if ((ofil = fopen(argv[2],"w")) == NULL)
		exit (1) ;
	
	fgets(line, 500, fil);
	if(strncmp(line,"#LANEDATA",9) != 0)
	{
		printf("error opening %s as a LANE file\n",argv[1]);
		exit(1);
	}
	fprintf(ofil,"%s",line);
	fgets(line, 500, fil);
	if( sscanf(line,"%d",&nlanes) != 1 )
		exit(1);
	fprintf(ofil,"%s",line);
	for(i=0;i<nlanes;i++)
	{
		int npoints;
		int cz, pz = 0;
		float cp, pp = 0;
		float cx, px;
		fgets(line, 500, fil);
		if( sscanf(line,"%d",&npoints) != 1 )
			exit(1);
		fprintf(ofil,"%s",line);
		for(j=0;j<npoints;j++)
		{
			fgets(line, 500, fil);
			if( sscanf(line,"%f %f",&cp,&cx) != 2 )
				exit(1);
			fprintf(ofil,"%3.2f %3.2f\n",cp,cx);
		}
	}
	exit(0);
} /* main */
